#### D.6.8.1 classifyicis

Procedure from library `classifyci.lib` (see classifyci_lib).

Usage:
  classifyicis(I); I ideal

Assume:
  I is given by two generators

Purpose:
  Check whether the ideal defines a complete intersection singularity or not

Return:
  String type in the classification of Giusti,M
  or The given singularity is not simple

Example:

    LIB "classifyci.lib";
    ring R=0,(x,y,z),ds;
    ideal I=x2+yz,xy+z4;
    classifyicis(I);
    ==> // ** dim(_) may be wrong because the mixed monomial ordering
    ==> // ** dim(_) may be wrong because the mixed monomial ordering
    ==> // ** dim(I) may be wrong because the mixed monomial ordering
    ==> // ** dim(I) may be wrong because the mixed monomial ordering
    ==> U_9:(x2+yz,xy+z4)

User manual for Singular version 4.4.1, 2025, generated by texi2html.